#include <bits/stdc++.h>

using namespace std;

std::vector<int> getVisionPattern1d()
{
    vector<int> vec={1,2,1,3,1};
    return vec;
}

int getMove1d(std::vector<int> v)
{
    if(v.size()==3)
    {
        if(v[0]==3)
            return 0;
        else if(v[2]==3)
            return 2;
        else if(v[0]==2)
            return 0;
        else if(v[2]==2)
            return 2;

    }
    if(v.size()==5)
    {
        if(v[4]==3)
            return 4;
        else
            return 0;
    }
    if(v.size()==7)
    {
        if(v[6]==2)
            return 6;
        else
            return 0;
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{0}};
}


std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0,0};
}
